Package org.apache.nutch.service

## Interface JobManager

- All Known Implementing Classes:
    `JobManagerImpl`

      public interface JobManager

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `JobManager.JobType` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `abort​(String crawlId, String id)` |
    `JobInfo` | `create​(JobConfig jobConfig)` | Creates specified job
    `JobInfo` | `get​(String crawlId, String id)` |
    `Collection<JobInfo>` | `list​(String crawlId, JobInfo.State state)` |
    `boolean` | `stop​(String crawlId, String id)` |

- - ### Method Detail

    - #### list

          Collection<JobInfo> list​(String crawlId,
                                   JobInfo.State state)

    - #### get

          JobInfo get​(String crawlId,
                      String id)

    - #### create

          JobInfo create​(JobConfig jobConfig)

      Creates specified job
      Parameters:
        `jobConfig` - a job-specific `JobConfig`
      Returns:
        JobInfo

    - #### abort

          boolean abort​(String crawlId,
                        String id)

    - #### stop

          boolean stop​(String crawlId,
                       String id)